#ifndef BADPASSWORDDIALOG_H
#define BADPASSWORDDIALOG_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QGridLayout>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLabel>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QVBoxLayout>
#include <QtGui/QWidget>

static char * logo_xpm[] = {
"70 76 821 2",
"  	c None",
". 	c #FFFFFF",
"+ 	c #FDFDFD",
"@ 	c #FEFEFE",
"# 	c #FFFFFE",
"$ 	c #FEFEFD",
"% 	c #FEFEFC",
"& 	c #FEFEFF",
"* 	c #FCFDFE",
"= 	c #EDEDEE",
"- 	c #D9D9DA",
"; 	c #D2D3D4",
"> 	c #D2D2D4",
", 	c #D0D0D2",
"' 	c #CCCDCE",
") 	c #CBCCCD",
"! 	c #C2C3C5",
"~ 	c #C0C1C3",
"{ 	c #D8D9DA",
"] 	c #EFF0F1",
"^ 	c #FCFDFD",
"/ 	c #FDFEFF",
"( 	c #FDFEFE",
"_ 	c #FDFDFE",
": 	c #FCFBFD",
"< 	c #E9E8EB",
"[ 	c #B5B5B8",
"} 	c #7F8285",
"| 	c #585C5F",
"1 	c #484B4E",
"2 	c #44484C",
"3 	c #41444A",
"4 	c #414449",
"5 	c #404349",
"6 	c #404348",
"7 	c #3D4046",
"8 	c #404248",
"9 	c #46494E",
"0 	c #4A4D51",
"a 	c #54575A",
"b 	c #767A7D",
"c 	c #A6A9AB",
"d 	c #DDDDDE",
"e 	c #F9F9FB",
"f 	c #FAFBFB",
"g 	c #DEDEDF",
"h 	c #9B9C9F",
"i 	c #626368",
"j 	c #3F4045",
"k 	c #3B3E43",
"l 	c #3A3E42",
"m 	c #3A3D42",
"n 	c #3B3E44",
"o 	c #3A3D43",
"p 	c #3A3D41",
"q 	c #404245",
"r 	c #5A5C60",
"s 	c #94969A",
"t 	c #CFD0D3",
"u 	c #F7F8F9",
"v 	c #FCFCFB",
"w 	c #FBFBFD",
"x 	c #D3D4D6",
"y 	c #848589",
"z 	c #48494D",
"A 	c #3B3D41",
"B 	c #393C41",
"C 	c #424348",
"D 	c #727376",
"E 	c #C1C2C3",
"F 	c #F5F6F6",
"G 	c #FCFCFD",
"H 	c #F8F7F9",
"I 	c #A1A0A5",
"J 	c #474A4F",
"K 	c #3A3C41",
"L 	c #424548",
"M 	c #B6B9BA",
"N 	c #FAFAFC",
"O 	c #8A898E",
"P 	c #404045",
"Q 	c #3A3F45",
"R 	c #3A3F44",
"S 	c #383D43",
"T 	c #3A3E43",
"U 	c #383D42",
"V 	c #393E43",
"W 	c #393E41",
"X 	c #6C7072",
"Y 	c #DBDDDF",
"Z 	c #464A4D",
"` 	c #393E42",
" .	c #4A4D52",
"..	c #E2E3E5",
"+.	c #FDFDFF",
"@.	c #FEFDFE",
"#.	c #FFFEFF",
"$.	c #B0B2B4",
"%.	c #3B3F42",
"&.	c #B9BABD",
"*.	c #FFFDFE",
"=.	c #7B7C7E",
"-.	c #383D41",
";.	c #88898C",
">.	c #EAEBEC",
",.	c #525458",
"'.	c #3B3E42",
").	c #393D41",
"!.	c #606268",
"~.	c #F2F2F4",
"{.	c #FFFEFE",
"].	c #D3D5D8",
"^.	c #3D4045",
"/.	c #D8DADC",
"(.	c #A4A6A9",
"_.	c #3B3E45",
":.	c #ABACAF",
"<.	c #FDFDFC",
"[.	c #FBFBFB",
"}.	c #797B7E",
"|.	c #7D7E81",
"1.	c #FCFCFC",
"2.	c #56595D",
"3.	c #5C5D61",
"4.	c #F8F9F9",
"5.	c #EEEFF1",
"6.	c #3D3F44",
"7.	c #4F5054",
"8.	c #F6F6F8",
"9.	c #D9DADC",
"0.	c #3B3D42",
"a.	c #3F4044",
"b.	c #EFEFF0",
"c.	c #BEC0C2",
"d.	c #393D42",
"e.	c #DFDFE2",
"f.	c #AAAEB0",
"g.	c #393D43",
"h.	c #CBCCD0",
"i.	c #FEFFFF",
"j.	c #95999C",
"k.	c #B6B7BB",
"l.	c #7E8285",
"m.	c #3E4146",
"n.	c #3C3F44",
"o.	c #383B40",
"p.	c #3A3E44",
"q.	c #9FA0A4",
"r.	c #FAFDFD",
"s.	c #F0F3F5",
"t.	c #606466",
"u.	c #43464B",
"v.	c #42454A",
"w.	c #45484D",
"x.	c #595C61",
"y.	c #696C70",
"z.	c #76797E",
"A.	c #878A8D",
"B.	c #8C8F91",
"C.	c #878B8C",
"D.	c #7F8384",
"E.	c #7A7E7F",
"F.	c #787C7D",
"G.	c #7A7D80",
"H.	c #707177",
"I.	c #616268",
"J.	c #4B4C52",
"K.	c #43464D",
"L.	c #40434B",
"M.	c #3F424A",
"N.	c #3E4149",
"O.	c #3C3F47",
"P.	c #3D4047",
"Q.	c #3E3F46",
"R.	c #404047",
"S.	c #3D3E44",
"T.	c #3C3E44",
"U.	c #383B42",
"V.	c #3A3D44",
"W.	c #7E8187",
"X.	c #F9F9FA",
"Y.	c #D0D1D4",
"Z.	c #B6B6B9",
"`.	c #97989B",
" +	c #717578",
".+	c #494D51",
"++	c #3D4044",
"@+	c #616469",
"#+	c #A2A5AA",
"$+	c #B3B6B9",
"%+	c #B3B6BA",
"&+	c #B2B5B9",
"*+	c #C4C7CA",
"=+	c #CCCFD3",
"-+	c #D1D4D7",
";+	c #D7DADC",
">+	c #D4D7D9",
",+	c #E0E4E5",
"'+	c #E6EAEB",
")+	c #EBEFF0",
"!+	c #F1F5F6",
"~+	c #F6F8F8",
"{+	c #F9FAFB",
"]+	c #F9FBFB",
"^+	c #E7EBEC",
"/+	c #CDD1D2",
"(+	c #BBBEC0",
"_+	c #B3B7B8",
":+	c #B4B8BA",
"<+	c #ADB1B2",
"[+	c #A7ABAD",
"}+	c #B3B5B5",
"|+	c #B9BABB",
"1+	c #AFB1B1",
"2+	c #9E9FA0",
"3+	c #808286",
"4+	c #626467",
"5+	c #55585B",
"6+	c #4E5054",
"7+	c #45474B",
"8+	c #3D4043",
"9+	c #585B60",
"0+	c #FDFFFF",
"a+	c #D5D8DA",
"b+	c #9FA3A5",
"c+	c #747779",
"d+	c #4C4F52",
"e+	c #3D3F43",
"f+	c #3C3F43",
"g+	c #3A3E41",
"h+	c #3E4145",
"i+	c #474B4F",
"j+	c #525659",
"k+	c #5F6366",
"l+	c #686B6E",
"m+	c #747577",
"n+	c #6C6D6F",
"o+	c #737476",
"p+	c #7D8083",
"q+	c #8E9295",
"r+	c #93969A",
"s+	c #929699",
"t+	c #9DA1A4",
"u+	c #B6BABD",
"v+	c #C6CACD",
"w+	c #D1D2D3",
"x+	c #DADBDC",
"y+	c #E8E9EB",
"z+	c #FAFBFC",
"A+	c #E8E8EA",
"B+	c #D7D8DA",
"C+	c #C7C7C9",
"D+	c #AEAFB1",
"E+	c #969A9C",
"F+	c #7B7F81",
"G+	c #575B5E",
"H+	c #FBFDFD",
"I+	c #C1C2C4",
"J+	c #6F7173",
"K+	c #3B3F44",
"L+	c #3A3C42",
"M+	c #3C3D44",
"N+	c #3B3D44",
"O+	c #3B3C44",
"P+	c #3C3F45",
"Q+	c #3C3F46",
"R+	c #404249",
"S+	c #3F4248",
"T+	c #3E4047",
"U+	c #424249",
"V+	c #48494E",
"W+	c #57585E",
"X+	c #5C5D62",
"Y+	c #707174",
"Z+	c #858689",
"`+	c #9C9EA0",
" @	c #AFB0B3",
".@	c #C3C5C8",
"+@	c #D5D7DA",
"@@	c #E4E6E8",
"#@	c #F3F7F9",
"$@	c #F6F9FB",
"%@	c #D1D5D7",
"&@	c #555759",
"*@	c #838586",
"=@	c #A7A8AA",
"-@	c #B9BABC",
";@	c #DFE0E0",
">@	c #FEFFFE",
",@	c #F3F6F7",
"'@	c #898D90",
")@	c #3B3F45",
"!@	c #44484B",
"~@	c #65696C",
"{@	c #8A8E91",
"]@	c #A3A5A8",
"^@	c #C5C6C8",
"/@	c #D5D6D8",
"(@	c #D2D3D5",
"_@	c #BFC1C4",
":@	c #A7AAAC",
"<@	c #7D8184",
"[@	c #616568",
"}@	c #42454B",
"|@	c #46494F",
"1@	c #484C4E",
"2@	c #515558",
"3@	c #4E5157",
"4@	c #424649",
"5@	c #565A5D",
"6@	c #7C8083",
"7@	c #97999B",
"8@	c #BCBDBF",
"9@	c #E9EAEB",
"0@	c #F9FAFA",
"a@	c #FCFEFD",
"b@	c #FDFEFC",
"c@	c #FDFEFD",
"d@	c #B3B6B7",
"e@	c #3D4144",
"f@	c #393C43",
"g@	c #3C3E42",
"h@	c #3F4145",
"i@	c #4D4D51",
"j@	c #595A5E",
"k@	c #737478",
"l@	c #929396",
"m@	c #A9AAAD",
"n@	c #C3C4C6",
"o@	c #DDDDE0",
"p@	c #F4F5F6",
"q@	c #B5B6B8",
"r@	c #A6A7AA",
"s@	c #84878A",
"t@	c #505457",
"u@	c #393C40",
"v@	c #3C4043",
"w@	c #3B3E41",
"x@	c #626568",
"y@	c #939497",
"z@	c #CFD0D2",
"A@	c #B9BCBE",
"B@	c #404447",
"C@	c #393C42",
"D@	c #4D5055",
"E@	c #74777C",
"F@	c #838488",
"G@	c #9A9B9E",
"H@	c #B3B4B7",
"I@	c #CBCCCE",
"J@	c #E4E4E6",
"K@	c #F6F6F7",
"L@	c #FBFEFE",
"M@	c #D0D3D5",
"N@	c #5C5F65",
"O@	c #3A3F42",
"P@	c #46484C",
"Q@	c #919295",
"R@	c #BDBDC1",
"S@	c #65656A",
"T@	c #404146",
"U@	c #484951",
"V@	c #73737B",
"W@	c #A4A5A8",
"X@	c #CDCFD0",
"Y@	c #E9EAE9",
"Z@	c #EFF0F2",
"`@	c #E2E5E6",
" #	c #D1D4D6",
".#	c #CACDCF",
"+#	c #B6BABB",
"@#	c #B4B7B8",
"##	c #A4A7A9",
"$#	c #9A9E9F",
"%#	c #989B9F",
"&#	c #A7A9AD",
"*#	c #BBBDC1",
"=#	c #CBCCCF",
"-#	c #E6E6E7",
";#	c #A2A3A6",
">#	c #898A8F",
",#	c #95979A",
"'#	c #98999C",
")#	c #99999E",
"!#	c #969599",
"~#	c #96969B",
"{#	c #949498",
"]#	c #A0A1A3",
"^#	c #B6B7B8",
"/#	c #C5C6C7",
"(#	c #E3E3E4",
"_#	c #FAFAFA",
":#	c #FEFDFF",
"<#	c #F8F8FA",
"[#	c #B9BBBE",
"}#	c #9C9EA2",
"|#	c #727478",
"1#	c #434549",
"2#	c #3F4245",
"3#	c #424448",
"4#	c #494B4F",
"5#	c #C5C8CA",
"6#	c #F0F2F3",
"7#	c #FEFFFD",
"8#	c #F9FAF7",
"9#	c #EBEBEC",
"0#	c #D7D7D8",
"a#	c #CBCBCD",
"b#	c #B9B9BB",
"c#	c #A3A4A7",
"d#	c #959699",
"e#	c #6E6F72",
"f#	c #606265",
"g#	c #525357",
"h#	c #4A4C50",
"i#	c #444549",
"j#	c #41444B",
"k#	c #3C4047",
"l#	c #3D4148",
"m#	c #45464A",
"n#	c #46474B",
"o#	c #606165",
"p#	c #808084",
"q#	c #B5B6B9",
"r#	c #ECECEE",
"s#	c #DFDFE1",
"t#	c #CCCDCF",
"u#	c #D6D6D9",
"v#	c #EFEFF1",
"w#	c #FAFCF9",
"x#	c #DBDDDD",
"y#	c #7C7D7F",
"z#	c #525459",
"A#	c #404247",
"B#	c #3B3F43",
"C#	c #3C4044",
"D#	c #3F4249",
"E#	c #44484E",
"F#	c #686C6F",
"G#	c #74787B",
"H#	c #4D4F53",
"I#	c #A1A4A6",
"J#	c #EFEEF1",
"K#	c #ECEEED",
"L#	c #ECEDED",
"M#	c #F8FAF9",
"N#	c #FFFFFD",
"O#	c #D5D6D7",
"P#	c #58585E",
"Q#	c #3D3D46",
"R#	c #43464A",
"S#	c #5A5D60",
"T#	c #626668",
"U#	c #6A6D71",
"V#	c #75787D",
"W#	c #86898D",
"X#	c #9B9EA2",
"Y#	c #B2B5B7",
"Z#	c #C6C8CA",
"`#	c #CFD1D3",
" $	c #DBDEDD",
".$	c #F2F4F2",
"+$	c #FAFDFB",
"@$	c #FBFEFB",
"#$	c #3D3F45",
"$$	c #5C5C62",
"%$	c #79797E",
"&$	c #7D7D82",
"*$	c #64656A",
"=$	c #5B5C62",
"-$	c #6E7075",
";$	c #D1D1D1",
">$	c #FBFCFC",
",$	c #858686",
"'$	c #3D3E42",
")$	c #505057",
"!$	c #B2B6B8",
"~$	c #C9CDCF",
"{$	c #CDD0D2",
"]$	c #CDCED2",
"^$	c #D4D5D8",
"/$	c #EDEDED",
"($	c #F1F1F1",
"_$	c #F6F6F6",
":$	c #F8F8F8",
"<$	c #AEAEB0",
"[$	c #E8E9E9",
"}$	c #4A4B4F",
"|$	c #DFE0E1",
"1$	c #C1C4C6",
"2$	c #585B5F",
"3$	c #464950",
"4$	c #D4D4D6",
"5$	c #C4C4C9",
"6$	c #9B9C9E",
"7$	c #FCFDFC",
"8$	c #C2C5C7",
"9$	c #414549",
"0$	c #CACDD0",
"a$	c #C7CBCD",
"b$	c #43474A",
"c$	c #5F6268",
"d$	c #FBFBFC",
"e$	c #C6C8CB",
"f$	c #404347",
"g$	c #C9CACC",
"h$	c #C1C3C5",
"i$	c #3A3D45",
"j$	c #65686C",
"k$	c #8D8E91",
"l$	c #383C42",
"m$	c #909195",
"n$	c #E8EAEC",
"o$	c #E0E1E3",
"p$	c #C1C4C5",
"q$	c #AFB2B4",
"r$	c #E0DFE2",
"s$	c #BABCBF",
"t$	c #C3C5C9",
"u$	c #F5F5F7",
"v$	c #383B41",
"w$	c #65696B",
"x$	c #F4F7F7",
"y$	c #66696E",
"z$	c #404346",
"A$	c #DEDFE1",
"B$	c #B7B9BC",
"C$	c #87888B",
"D$	c #E6E6E8",
"E$	c #5E6264",
"F$	c #45484B",
"G$	c #D1D4D4",
"H$	c #9D9FA3",
"I$	c #8B8D91",
"J$	c #DDDFE1",
"K$	c #53565B",
"L$	c #A9A8AC",
"M$	c #F1F1F2",
"N$	c #FBFDFE",
"O$	c #D0D4D5",
"P$	c #5E6266",
"Q$	c #4D4E53",
"R$	c #BBBBBE",
"S$	c #D1D0D4",
"T$	c #58575D",
"U$	c #E4E3E6",
"V$	c #E0E2E4",
"W$	c #3E3F44",
"X$	c #5A5B5F",
"Y$	c #B7B8BA",
"Z$	c #F1F2F4",
"`$	c #949598",
" %	c #A5A6A9",
".%	c #DBDCDD",
"+%	c #F3F2F4",
"@%	c #D5D5D8",
"#%	c #D7D9DC",
"$%	c #6C6E70",
"%%	c #D1D1D2",
"&%	c #FDFDFB",
"*%	c #FDFEFB",
"=%	c #FEFEFB",
"-%	c #EDEEEF",
";%	c #57595E",
">%	c #DEE0E3",
",%	c #F4F4F5",
"'%	c #65676B",
")%	c #393E44",
"!%	c #4F5257",
"~%	c #B2B3B5",
"{%	c #FCFDFB",
"]%	c #F5F6F7",
"^%	c #6B6D70",
"/%	c #3F4146",
"(%	c #76797B",
"_%	c #E7E9E9",
":%	c #C0C1C4",
"<%	c #4C5052",
"[%	c #A5A7A8",
"}%	c #8F9195",
"|%	c #8E8F93",
"1%	c #EBECEE",
"2%	c #FEFDFD",
"3%	c #F3F2F3",
"4%	c #E3E4E5",
"5%	c #B3B5B9",
"6%	c #5A5D62",
"7%	c #7C7E83",
"8%	c #D2D2D5",
"9%	c #FAFAFB",
"0%	c #8D9093",
"a%	c #3B3D43",
"b%	c #616367",
"c%	c #EBEAEC",
"d%	c #6A6B6D",
"e%	c #4D4F54",
"f%	c #47484D",
"g%	c #DCDCDE",
"h%	c #484A4E",
"i%	c #3B3E46",
"j%	c #43484B",
"k%	c #A4A4A5",
"l%	c #CECFD2",
"m%	c #A9ABAC",
"n%	c #F7F7F7",
"o%	c #FBFCFD",
"p%	c #9B9DA0",
"q%	c #3D3F42",
"r%	c #5E6063",
"s%	c #C4C6C8",
"t%	c #AAACB0",
"u%	c #3C3E43",
"v%	c #7F8185",
"w%	c #E6E6E9",
"x%	c #D6D8DB",
"y%	c #52555A",
"z%	c #EBECED",
"A%	c #EBECEC",
"B%	c #64676C",
"C%	c #7B7B7F",
"D%	c #F1F1F3",
"E%	c #6B6D71",
"F%	c #6A6E71",
"G%	c #EAECED",
"H%	c #C7C8C8",
"I%	c #46494C",
"J%	c #BBBCBE",
"K%	c #656468",
"L%	c #3C3D42",
"M%	c #838689",
"N%	c #BEBFC0",
"O%	c #6D7074",
"P%	c #D7DADB",
"Q%	c #FDFCFE",
"R%	c #3E3F45",
"S%	c #383D40",
"T%	c #55595C",
"U%	c #C4C6C9",
"V%	c #62656B",
"W%	c #494D50",
"X%	c #A0A4A5",
"Y%	c #F8F9FA",
"Z%	c #EEEDF0",
"`%	c #585A5F",
" &	c #F6F7F8",
".&	c #727479",
"+&	c #686A6E",
"@&	c #D4D6D7",
"#&	c #FBFDFC",
"$&	c #D5D7D9",
"%&	c #575A5F",
"&&	c #494C4F",
"*&	c #5C5E62",
"=&	c #909397",
"-&	c #F0F0F1",
";&	c #F5F5F5",
">&	c #F7F9F8",
",&	c #D8D9DB",
"'&	c #5F6065",
")&	c #3C3D43",
"!&	c #494C50",
"~&	c #DFE0E2",
"{&	c #3E4043",
"]&	c #56575B",
"^&	c #C3C4C7",
"/&	c #9A9B9B",
"(&	c #8E9293",
"_&	c #F7F9F9",
":&	c #FCFCFA",
"<&	c #EAE9EC",
"[&	c #3F4447",
"}&	c #3A3E45",
"|&	c #474A4E",
"1&	c #3D4145",
"2&	c #7E7F82",
"3&	c #D0D1D2",
"4&	c #515458",
"5&	c #A6A8AA",
"6&	c #F8F7FA",
"7&	c #C0C2C4",
"8&	c #606266",
"9&	c #3B3C41",
"0&	c #E4E5E7",
"a&	c #6E7074",
"b&	c #A1A5A6",
"c&	c #F5F7F6",
"d&	c #A9ACB0",
"e&	c #515256",
"f&	c #8D8E92",
"g&	c #DEDEDE",
"h&	c #999999",
"i&	c #57585B",
"j&	c #393D45",
"k&	c #8C9092",
"l&	c #F7FBFB",
"m&	c #F5F9F9",
"n&	c #A4A8AA",
"o&	c #4E5156",
"p&	c #AAABAE",
"q&	c #E0E2E3",
"r&	c #989C9F",
"s&	c #3E4245",
"t&	c #3A3F43",
"u&	c #7C7E81",
"v&	c #F5F5F6",
"w&	c #FDFCFD",
"x&	c #3F4346",
"y&	c #C7C8CA",
"z&	c #B5B7BA",
"A&	c #535458",
"B&	c #848488",
"C&	c #E1E2E4",
"D&	c #FCFDFF",
"E&	c #EDEFF0",
"F&	c #BDBFC1",
"G&	c #727578",
"H&	c #87888C",
"I&	c #E2E3E4",
"J&	c #73777A",
"K&	c #D9DBDE",
"L&	c #707377",
"M&	c #525559",
"N&	c #AEB1B4",
"O&	c #9FA0A2",
"P&	c #96979B",
"Q&	c #F1F2F3",
"R&	c #4B4F52",
"S&	c #C7CBCB",
"T&	c #FCFEFE",
"U&	c #F3F4F5",
"V&	c #AAACAE",
"W&	c #515355",
"X&	c #696B6D",
"Y&	c #BFC0C3",
"Z&	c #C8C9CC",
"`&	c #7F8183",
" *	c #4A4C4E",
".*	c #3F4246",
"+*	c #393D44",
"@*	c #57595D",
"#*	c #FAFCFD",
"$*	c #717376",
"%*	c #383C40",
"&*	c #F9FBFC",
"**	c #DFDFDF",
"=*	c #787B7F",
"-*	c #626569",
";*	c #B1B3B5",
">*	c #E9E9EC",
",*	c #F0F0F0",
"'*	c #C5C8C9",
")*	c #54585B",
"!*	c #4E5255",
"~*	c #EDF0F1",
"{*	c #BEBFC1",
"]*	c #A9ACAE",
"^*	c #DBDCDE",
"/*	c #585A5D",
"(*	c #5D5E62",
"_*	c #D1D3D5",
":*	c #F7F7F9",
"<*	c #B8B9BB",
"[*	c #74757A",
"}*	c #44464A",
"|*	c #3A3C43",
"1*	c #D5D8D8",
"2*	c #C7CACC",
"3*	c #B8BBBE",
"4*	c #484B50",
"5*	c #656469",
"6*	c #DEDDE1",
"7*	c #F6F7F9",
"8*	c #D1D2D4",
"9*	c #6B6C6F",
"0*	c #9FA2A3",
"a*	c #E2E3E6",
"b*	c #414548",
"c*	c #E4E7E8",
"d*	c #E4E4E4",
"e*	c #9DA1A3",
"f*	c #5B5F62",
"g*	c #676A6D",
"h*	c #E0E1E4",
"i*	c #ACAFB1",
"j*	c #7C7F81",
"k*	c #B4B5B7",
"l*	c #7B7B7E",
"m*	c #FCFEFF",
"n*	c #F6F8F9",
"o*	c #C5C7C8",
"p*	c #88898D",
"q*	c #5D5D64",
"r*	c #46464D",
"s*	c #66666D",
"t*	c #9B9B9F",
"u*	c #D4D4D7",
"v*	c #E5E7E8",
"w*	c #B9BBBD",
"x*	c #E0E1E2",
"y*	c #A4A5A7",
"z*	c #C8C8CB",
"A*	c #EDEEF1",
"B*	c #C9CACD",
"C*	c #56595C",
"D*	c #45484C",
"E*	c #6F7175",
"F*	c #B7B9BB",
"G*	c #66686C",
"H*	c #757679",
"I*	c #444548",
"J*	c #717274",
"K*	c #DFE1E3",
"L*	c #E9E9EB",
"M*	c #494B4E",
"N*	c #C9CACB",
"O*	c #4D5054",
"P*	c #ADB0B3",
"Q*	c #F9F9F9",
"R*	c #F0F1F2",
"S*	c #7C7C80",
"T*	c #BBBBBC",
". . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . . . . . . . . . + @ . @ @ @ @ @ @ @ # # # # # @ @ . @ @ $ % % % # . . . . . . . . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . . . . . . . . @ & . . & * = - ; ; ; > , ' ) ! ~ { ] ^ / ( @ @ $ @ . . . . . . . . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . . . . . . . . _ : < [ } | 1 2 3 3 3 3 4 5 6 7 8 9 0 a b c d e @ & . . . . . . . . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . $ # @ & ( f g h i j j k l k m n n n o o m o o m n l l p p q r s t u @ + . . . . . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . $ v + w x y z A B k m m m m m m m m m m m m m m m m m m m m m m C D E F . . . . . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . @ G H I J m k K m B m m m m m m m m m m m m m m m m m m m m m m m k L M . . . . . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . @ N O P Q R S T B m B m m m m m m m m m m m m m m m m m m B m m U V W X @ . . . . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . & Y Z ` m m m m m m m m m m m m m m m m m m m m m m m m m m m m m m m  ...+.@.#.. . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . ( $.%.` m m m m m m m m m m m m m m m m m m m m m m m m m m m m m m m k &.+.*.#.. . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . G =.%.-.m m m m m m m m m m m m m m m m m m m m m m m m m m m m m m m m ;._ @.#.. . . . . . . . . . . . . . ",
". . . . . . . . . . . . . @ . . >.,.'.).m m m m m m m m m m m m m m m m m m m m m m m m m m m m m m m m !.~.@ {.. . . . . . . . . . . . . . ",
". . . . . . . . . . . . . @ @ @ ].^.m m m m m m m m m m m m m m m m m m m m m m m m m m m m m m m m m m 5 /.@ # . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . @ @ + (.k m m m m m m m m m m m m m m m m m m m m m m m m m m m m m m m m m o _.:.<.# . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . @ @ [.}.m m m m m m m m m m m m m m m m m m m m m m m m m m m m m m m m m m m _.|.1.# . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . *.& u 2.m m m m m m m m m m m m m m m m m m m m m m m m m m m m m m m m m m m B 3.4.& . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . @.#.5.6.m m m m m m m m m m m m m m m m m m m m m m m m m m m m m m m m m m m B 7.8.. . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . *.. 9.0.m m m m m m m m m m m m m m m m m m m m m m m m m m m m m m m m m m m '.a.b.& . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . {.& c.'.m m m m m m m m m B m m m m m m m m m m m m m m m m m m m m m m m m m d.p e.. . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . @ / f.).m m m m m m k m k m m m m m m m m m m m m m m m m m m m m m m m m m m g.).h.& . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . @ i.j.l m m m m m m m B m m m m m m m m m m m m m m m m m m m m m m m m m m m g.m k.. . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . * l.m m m m k k k k m.n.o.m m m m m m m m m m m m m m m m m m m m m m m m m p.).q.& . . . . . . . . . . . . . . ",
". . @ @ @ . @ @ @ _ . . i.r.s.t.p u.v.w.x.y.z.A.B.C.C.D.E.F.G.H.I.J.K.K.L.M.N.O.P.Q.R.S.T.k k m k B k m U.V.W./ @ . @ . . . . . . . . . . . ",
". . + + @ @ ( i.X.>.Y.Z.`. +.+++@+#+$+%+&+*+=+-+;+>+,+'+)+!+~+{+~+]+^+/+(+_+:+<+[+}+|+1+2+3+4+5+6+7+8+A m l 9+0+@ @ @ . . . . . . . . . . . ",
". . @ @ 1.4.a+b+c+d+++e+f+m m k B n.m n.n.n.m ).%.g+h+i+j+k+l+m+n+o+p+q+r+s+t+u+v+w+x+y+u & & z+A+B+C+D+E+F+G+w+1.@ @ . . . . . . . . . . . ",
". . i.H+I+J+2 l g+f+m m k o o o o m m B m m m k T o K+k B B L+M+N+O+P+Q+7 5 R+S+T+U+V+W+X+Y+Z+`+ @.@+@@@#@$@%@&@*@=@-@;@f i.i.i.. . . i.>@# ",
". . ,@'@m.n m m m m m m m m m m k k m m k m B T p.)@g.l m p n.n n S+!@~@{@]@^@/@/@/@/@(@_@:@<@[@J }@|@w.1@2@3@P+m m n.4@5@6@7@8@9@0@* a@b@c@",
". . d@e@k f@m m m m m m m m m m m m m m m k k m g@A h@i@j@k@l@m@n@o@u & i.( . @.@ @ . . @ i.* _ p@x+q@r@s@t@7 m m m B l p u@v@w@1 x@y@z@^ ( ",
". . A@B@C@n m m m m m m m m m m m m m n.D@@+E@F@G@H@I@J@K@& @ # @ @ . . . @ #.*.#.#.*.#.@.@ @ . @ @ # c@L@M@N@o m m m V.V.o T l O@W P@Q@/ i.",
". . e R@S@T@f@f@_.k m m k m o.k U@V@W@X@Y@F ( >@. i.. / i.i.& / e Z@`@ #.#+#@###$#%#&#*#=#y+* & & @ @ @ + ( -#;#>#,#'#)#!#~#{#]#^#/#(#_#. . ",
". . :#+.<#e.[#}#|#6+1#2#3#4#} 5#6#f 7#8#F 9#0#a#b#c#d#Z+|.e#f#g#h#i#j#N.k#l#o P+n n.m k 6.m#n#o#p#q#r#G @ @ _ c@( >@c@& #.+.:#& & . @ . . . ",
". . & & _ i.& i.@ N s#t#u#v#* / <.w#x#y#z#A#K h+A w@p B#g+g+C#m n o p._.D#E#G+F#G#9 m k k m T d.'.A H#I#J#_ :#p@K#L#M#+ + _ $ N## $ . . . @ ",
". . @ @ @ @ $ # @ # & . . & . & >@O#P#Q#n n n m k 0.R#j+S#T#U#V#W#X#Y#Z#`# $.$+$@$X#k m B p.p.p.m m k #$$$%$&$*$=$W+-$;$@ $ $ N#N#N#. . @ . ",
". . . . . . . . . . . . . . . . >$,$'$)$'@!$~${$]$^$../$($_$:$+ @ @ . . . . . . . _@m.B m m m m m m m m P.Q+_.f@V._.C@<$+ % $ . . . . . . . ",
". . . . . . . . . . . . . . . . [$7.}$|$/ / / & #.& & @ @ . . @ @ @ . . . . . . . 1$^.m m m m m m m m m 2$0 f+o _.V.3$4$@ % # . . . . . . . ",
". . . . . . . . . . . . . . . . 5$j 6$7$. @ @ + #.@.@.@ @ . . . . @ . . . . . . . 8$n.m m m m m m m m 9$0$a$b$n.f@_.c$d$_ % $ . . . . . . . ",
". . . . . . . . . . . . . . . . e$f$g$^ . . . . #.. . . . . . . . . . . . . . . . h$C#k o m m m V.i$o j$:$* k$k l$B m$& . . . . . . . . . . ",
". . . . . . . . . . . . . . . . n$U#o$+ . . . . . . . . . . . . . . . . . . . . . p$e@o o m m m _.V.n.q$@ & r$6 T '. @. . . . . . . . . . . ",
". . . . . . . . . . . . . . . . s$t$u$& . . . . . . . . . . . . . . . . . . . . . >+4@C@V.m m m v$).w$x$@ @ <#y$m z$A$. . . . . . . . . . . ",
". . . . . . . . . . . . . . . . B$h+C$D$. . . # @ # # . . . . . . . . . . . . . . ,@E$k o o C@o 0.F$G$H++ @ _ H$n.I$G . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . J$4 m K$L$M$+ $ % % % . . . . . . . . . . . . . . N$O$P$k f@V.o Q$R$[.$ . . . S$T$U$_ . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . V$4 B m W$X$Y$f + + 1.. . . . . . . . . . . . . . a@( Z$=#r@`$ %.%1.v $ . . . +%@%+ @ . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . #%^.m k V.m v@$%%%X.& . . . . . . . . . . . . . . &%<.@ @ # # @ @ <.*%=%. . . @ @ + % . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . -%;%u@V m o B '.1#} >%& @ % $ . . . . . . . . . . # # . . @ # # . # $ $ . . . @ & $ $ . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . ,%'%).)%m m m m m k !%~%0@{%$ + . @ . . . . . . . . . . . . . . . . . . . . . @ @ @ + . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . ]%^%'.R m m m B k k B /%(%_%^ . @ . . . . . . . . . . . . . . . . . . . . . . @ @ @ + . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . _ :%w.R m m m m k B m m f+<%[%_#_ @ . . . . . . . . . . . . . . . . . . #.. . i.-#O#f . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . . N }%m m m m m m m m m m m K |%1%^ @ @ @ . . . . . . . . . . . . . . . 2%3%4%5%6%u.7%8%9%@ @ @ . + . . . . ",
". . . . . . . . . . . . . . . . . _ 0%k m m m m m m m m m m a%#$b%`#@ + @ @ . . . . . . . . . . . . . . c%d%e%m.B m 0.f%F@{ + @ @ @ . . . . ",
". . . . . . . . . . . . . . . . & g%h%k m m m m m m m m m m V.i%l$j%k%_$@ . . . . . . . . . . . . . . . l%A#T o k m B o m Z m%n%@ @ . . . . ",
". . . . . . . . . . . . . % % @ o%p%0.B m m m m m m m m m m o g.T d.q%r%s%]+( # N#. . . . . . . . @ @ & t%m C@T k m m o k p u%v%w%+.. . . . ",
". . . . . . . . . . . . # =%<.1.x%y%m m m m m m m m m m m m m m m m B k 4 0%z%$ % # . . . . . . @ + @ A%B%n.m m m m m m m m m m C%X.. . . . ",
". . . . . . . . . . . . . <._ D%E%n.B m m m m m m m m m m m m m m m m o.m f+F%G%+ . . . . . . . . @ @ H%m.m k m m m m m m m m I%J%G . . . . ",
". . . . . . . . . . . . . @ 9%K%L%B m k m m m m m m m k k k k m m m m m m m ` M%9%@ . . . . . . @ @ . N%m k B m m m m m m n.O%P%>$v . . . . ",
". . . . . . . . . . . . . . Q%O R%m m m m m m m m m m m m m m m m m m m m T S%T%o%. . . . . . . $ _ U%V%m m m k m B m m W%X%Y%. . . . . . . ",
". . . . . . . . . . . . . @ @ Z%`%m B m m m m m m m m m m m m m m m m m m m B#j+ &. . . . . . . $ ( .&V.m m m k m m m +&@&#&^ . . . . . . . ",
". . . . . . . . . . . . . <.+ G $&%&m B m m m m m m m m m m m m m m m m m m l &&9@. . . . . . . <.@ *&_.m m m m m m =&-&( &%# . . . . . . . ",
". . . . . . . . . @ @ + ;&>&7$$ c@,&'&)&l g.f@o m m m m m m m m m m m m m m d.!&~&. . . . @ . @ c@o%G+d.i$V.B {&]&^&* . @ # . . . . . . . . ",
". . . . . . . . . . @ @ /&(&_&:&$ @ <&O [&B }&o m m m m m m m m m m m m m d.p.|&~&& . . . . @ + * J$b$R V.n 1&2&(#+ _ . . . . . . . . . . . ",
". . . . . . . . . . @ @ 3&4&5&X.<.$ _ 6&7&8&9&0.m m m m m m m m m m m m m o g.R#(@. . . @ @ + @ 0&a&n Q o 4 b&c&+ $ $ . . . . . . . . . . . ",
". . . . . . . . . @ @ @ ^ d&e&a#&%$ @ _ ( -%f&A#m m m m m m m m m m m m m C@p.++X$-#. . . [.g&h&i&u%_.j&m k&l&c@% % v . . . . . . . . . . . ",
". . . . . . . . . . . . i.m&n&o&p&8.+ _ @ @ + q&r&5@s&` ` t&B#B m k k m m m m m m u&v&w&2%z@x&O@d.m m m 6 y&_ . . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . a@z+z&A&B&C&D&@ + + ( * E&F&G&!@w@'.o.m k k m m m m m m m H&v&_ I&!@` l B m B J& &@ . . . . . . . . . . . . . . . ",
". . . . . . . . . . . . # &%@ G K&L&M&N&_#+ . @ + @ ^ u 9.O&j@k n.k k m m m m m m U k P&( Q&R&O@m k m u.S&T&% # . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . N#$ @ / U&V&W&X&Y& &/ & & _ & ( ^ K@Z&`& *.*p l l T T g.+*k @*#*^ $*m C@C@%*F%&*>@$ # . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . @ + + **=*0 -*;*>*G G . . @ + + @ ,*'*s@)*B#K+T n _.o !*~*@ {*n _.k e@]*. . . . . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . @ @ + + o%^*'#/*(*G@_*:*& & @ @ @ + & @ -%<*[*}*L%|*B Z 1*$ 0&n V.k v@2*. . . . . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . @ @ @ @ & _ _ 1%3*z.4*5*I 6*Q%@ @ @ @ . @ ( 7*8*9*a%m s&0*@ a*_._.m b*c*. . . . . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . . . . . . . . @ @ [.d*e*f*1 g*;#h* &@ . . @ @ @ n%i*.+4@j*@ k*f@o A l*& . . . . . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . . . . . . . . . @ + @ m*n*o*p*q*r*s*t*u* &( + + @ / v*w*x*@ y*n o g@z*& . . . . . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . . . . . . . . @ . @ @ + _ @ & A*B*f&C*D*E*F*_$+ 1.@ @ @ @ $ q@o P+G* &_ . . . . . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . . . . . . . . . @ @ . @ @ . >@7#b@b@-%[#H*I*J*K*( @ + @ <.# L*o#M*F&& @ . . . . . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . @ [.N*f*O*P*4.@ + + @ @ Q*,*[.1.@ . . . . . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . @ @ _ R*d#S*T*[.@ @ @ @ . @ @ @ @ . . . . . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . @ @ _ _ _ @ @ . @ @ @ @ + + @ @ . . . . . . . . . . . . . . . . . . ",
". . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . "};


class BadPasswordDialog : public QWidget
{
	Q_OBJECT
public:
    QWidget *widget;
    QGridLayout *gridLayout;
    QVBoxLayout *vboxLayout;
    QHBoxLayout *hboxLayout;
    QLabel *label;
    QLabel *label_2;
    QHBoxLayout *hboxLayout1;
    QSpacerItem *spacerItem;
    QPushButton *pushButton;
    QSpacerItem *spacerItem1;

    BadPasswordDialog() : QWidget(0, Qt::Tool | Qt::WindowStaysOnTopHint) {
    this->setObjectName(QString::fromUtf8("this"));
    this->resize(QSize(166, 85).expandedTo(this->minimumSizeHint()));
    QSizePolicy sizePolicy((QSizePolicy::Policy)1, (QSizePolicy::Policy)1);
    sizePolicy.setHorizontalStretch(0);
    sizePolicy.setVerticalStretch(0);
    sizePolicy.setHeightForWidth(this->sizePolicy().hasHeightForWidth());
    this->setSizePolicy(sizePolicy);
    this->setWindowIcon(QIcon());
    widget = new QWidget(this);
    widget->setObjectName(QString::fromUtf8("widget"));
    widget->setGeometry(QRect(9, 9, 267, 188));
    gridLayout = new QGridLayout(this);
    gridLayout->setSpacing(6);
    gridLayout->setMargin(8);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    vboxLayout = new QVBoxLayout();
    vboxLayout->setSpacing(6);
    vboxLayout->setMargin(0);
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    hboxLayout = new QHBoxLayout();
    hboxLayout->setSpacing(6);
    hboxLayout->setMargin(0);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    label = new QLabel(this);
    label->setObjectName(QString::fromUtf8("label"));
    QSizePolicy sizePolicy1((QSizePolicy::Policy)1, (QSizePolicy::Policy)1);
    sizePolicy1.setHorizontalStretch(0);
    sizePolicy1.setVerticalStretch(0);
    sizePolicy1.setHeightForWidth(label->sizePolicy().hasHeightForWidth());
    label->setSizePolicy(sizePolicy1);
    label->setFrameShape(QFrame::Box);
    label->setFrameShadow(QFrame::Sunken);
    label->setPixmap(QPixmap(logo_xpm));

    hboxLayout->addWidget(label);

    label_2 = new QLabel(this);
    label_2->setObjectName(QString::fromUtf8("label_2"));
    label_2->setAlignment(Qt::AlignCenter);

    hboxLayout->addWidget(label_2);


    vboxLayout->addLayout(hboxLayout);

    hboxLayout1 = new QHBoxLayout();
    hboxLayout1->setSpacing(6);
    hboxLayout1->setMargin(0);
    hboxLayout1->setObjectName(QString::fromUtf8("hboxLayout1"));
    spacerItem = new QSpacerItem(40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout1->addItem(spacerItem);

    pushButton = new QPushButton(this);
    pushButton->setObjectName(QString::fromUtf8("pushButton"));

    hboxLayout1->addWidget(pushButton);

    spacerItem1 = new QSpacerItem(40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout1->addItem(spacerItem1);


    vboxLayout->addLayout(hboxLayout1);

	connect(pushButton, SIGNAL(clicked()), this, SLOT(hide()));

    gridLayout->addLayout(vboxLayout, 0, 0, 1, 1);

	setWindowTitle(QApplication::translate("this", "WinampSpy", 0, QApplication::UnicodeUTF8));
    label->setText(QApplication::translate("this", "", 0, QApplication::UnicodeUTF8));
    label_2->setText(QApplication::translate("this", "<html><head><meta name=\"qrichtext\" content=\"1\" /></head><body style=\" white-space: pre-wrap; font-family:MS Shell Dlg; font-weight:400; font-style:normal; text-decoration:none;\"><p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"><span style=\" font-weight:600;\">Error submiting songs.</span></p><p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-weight:600;\"></p><p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-weight:600;\">Invalid username or password.</p></body></html>", 0, QApplication::UnicodeUTF8));
    pushButton->setText(QApplication::translate("this", "OK", 0, QApplication::UnicodeUTF8));
    } // setupUi

};

#endif // BADPASSWORDDIALOG_H
