#include "WinampSpy.h"
#include "Track.h"
#include "Config.h"
#include "EventThread.h"

#include <stdio.h>
#include <qapplication.h>
#include <qtimer.h>
#include <qobject.h>
#include <qdatetime.h>
#include <qfile.h>
#include <qdir.h>
#include <qtextstream.h>
#include <qchar.h>
#include <qhttp.h>
#include <qmainwindow.h>

EventThread* handler;
HANDLE m_hThread;
DWORD m_lpId;
QApplication* qapp;

DWORD WINAPI ThreadProc(LPVOID lpParameter) {
	int argc = 0;
	qapp = new QApplication(argc, (char**)0);
	handler = new EventThread();
	qapp->exec();
}
	
winampGeneralPurposePlugin plugin =
{
	GPPHDR_VER,
	"WinampSpy Plugin v0.0.1",
	init,
	config,
	quit,
};

int init() {
	m_hThread = CreateThread(NULL,
                          0,
                          (LPTHREAD_START_ROUTINE)ThreadProc,
                          0,
                          0,
                          (LPDWORD) &m_lpId);
	return 0;
}

void config() {
	handler->showConfigDialog();
}

void quit() {
	TerminateThread(m_hThread, 1);
	delete handler;
	delete qapp;
}

EXPORT winampGeneralPurposePlugin * winampGetGeneralPurposePlugin()
{
	return &plugin;
}
